Represents a PrepareQueryRequest.
Package
@google-cloud/bigtableConstructors
(constructor)(properties)
constructor(properties?: google.bigtable.v2.IPrepareQueryRequest);Constructs a new PrepareQueryRequest.
| Parameter | |
|---|---|
| Name | Description |
properties |
IPrepareQueryRequest
Properties to set |
Properties
appProfileId
public appProfileId: string;PrepareQueryRequest appProfileId.
dataFormat
public dataFormat?: "protoFormat";PrepareQueryRequest dataFormat.
instanceName
public instanceName: string;PrepareQueryRequest instanceName.
paramTypes
public paramTypes: { [k: string]: google.bigtable.v2.IType };PrepareQueryRequest paramTypes.
protoFormat
public protoFormat?: (google.bigtable.v2.IProtoFormat|null);PrepareQueryRequest protoFormat.
query
public query: string;PrepareQueryRequest query.
Methods
create(properties)
public static create(properties?: google.bigtable.v2.IPrepareQueryRequest): google.bigtable.v2.PrepareQueryRequest;Creates a new PrepareQueryRequest instance using the specified properties.
| Parameter | |
|---|---|
| Name | Description |
properties |
IPrepareQueryRequest
Properties to set |
| Returns | |
|---|---|
| Type | Description |
PrepareQueryRequest |
PrepareQueryRequest instance |
decode(reader, length)
public static decode(reader: ($protobuf.Reader|Uint8Array), length?: number): google.bigtable.v2.PrepareQueryRequest;Decodes a PrepareQueryRequest message from the specified reader or buffer.
| Parameters | |
|---|---|
| Name | Description |
reader |
(Reader|Uint8Array)
Reader or buffer to decode from |
length |
number
Message length if known beforehand |
| Returns | |
|---|---|
| Type | Description |
PrepareQueryRequest |
PrepareQueryRequest |
decodeDelimited(reader)
public static decodeDelimited(reader: ($protobuf.Reader|Uint8Array)): google.bigtable.v2.PrepareQueryRequest;Decodes a PrepareQueryRequest message from the specified reader or buffer, length delimited.
| Parameter | |
|---|---|
| Name | Description |
reader |
(Reader|Uint8Array)
Reader or buffer to decode from |
| Returns | |
|---|---|
| Type | Description |
PrepareQueryRequest |
PrepareQueryRequest |
encode(message, writer)
public static encode(message: google.bigtable.v2.IPrepareQueryRequest, writer?: $protobuf.Writer): $protobuf.Writer;Encodes the specified PrepareQueryRequest message. Does not implicitly messages.
| Parameters | |
|---|---|
| Name | Description |
message |
IPrepareQueryRequest
PrepareQueryRequest message or plain object to encode |
writer |
$protobuf.Writer
Writer to encode to |
| Returns | |
|---|---|
| Type | Description |
$protobuf.Writer |
Writer |
encodeDelimited(message, writer)
public static encodeDelimited(message: google.bigtable.v2.IPrepareQueryRequest, writer?: $protobuf.Writer): $protobuf.Writer;Encodes the specified PrepareQueryRequest message, length delimited. Does not implicitly messages.
| Parameters | |
|---|---|
| Name | Description |
message |
IPrepareQueryRequest
PrepareQueryRequest message or plain object to encode |
writer |
$protobuf.Writer
Writer to encode to |
| Returns | |
|---|---|
| Type | Description |
$protobuf.Writer |
Writer |
fromObject(object)
public static fromObject(object: { [k: string]: any }): google.bigtable.v2.PrepareQueryRequest;Creates a PrepareQueryRequest message from a plain object. Also converts values to their respective internal types.
| Parameter | |
|---|---|
| Name | Description |
object |
{ [k: string]: any }
Plain object |
| Returns | |
|---|---|
| Type | Description |
PrepareQueryRequest |
PrepareQueryRequest |
getTypeUrl(typeUrlPrefix)
public static getTypeUrl(typeUrlPrefix?: string): string;Gets the default type url for PrepareQueryRequest
| Parameter | |
|---|---|
| Name | Description |
typeUrlPrefix |
string
your custom typeUrlPrefix(default "type.googleapis.com") |
| Returns | |
|---|---|
| Type | Description |
string |
The default type url |
toJSON()
public toJSON(): { [k: string]: any };Converts this PrepareQueryRequest to JSON.
| Returns | |
|---|---|
| Type | Description |
{ [k: string]: any } |
JSON object |
toObject(message, options)
public static toObject(message: google.bigtable.v2.PrepareQueryRequest, options?: $protobuf.IConversionOptions): { [k: string]: any };Creates a plain object from a PrepareQueryRequest message. Also converts values to other types if specified.
| Parameters | |
|---|---|
| Name | Description |
message |
PrepareQueryRequest
PrepareQueryRequest |
options |
$protobuf.IConversionOptions
Conversion options |
| Returns | |
|---|---|
| Type | Description |
{ [k: string]: any } |
Plain object |
verify(message)
public static verify(message: { [k: string]: any }): (string|null);Verifies a PrepareQueryRequest message.
| Parameter | |
|---|---|
| Name | Description |
message |
{ [k: string]: any }
Plain object to verify |
| Returns | |
|---|---|
| Type | Description |
(string|null) |
|